SKB_COPY_BITS(9)

NAME
skb_copy_bits - copy bits from skb to kernel buffer

SYNOPSIS

int skb_copy_bits(const struct sk_buff * skb, int offset, void * to, int len);

ARGUMENTS

skb
    source skb

offset
    offset in source

to
    destination buffer

len
    number of bytes to copy

DESCRIPTION

Copy the specified number of bytes from the source skb to the destination buffer.

CAUTION ! : If its prototype is ever changed, check arch/{*}/net/{*}.S files, since it is called from BPF assembly code.

COPYRIGHT